pacemaker (3.0.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110447). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on
      resource-agents-base.  And also suggest resource-agents-extra with
      non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node
      name.  Previously the default node name was hardcoded in the
      config file as node1.
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents was split into a -base and an -extra package.
    - d/control: depend on pcs and suggest crmsh
    - d/p/cts-no-build-dir.patch: allow tests to run with undefined _BUILD_DIR
      configuration
    - d/t/{control,cts}: run Pacemaker Cluster Test Suite tests
    - d/p/fix-o3-Wformat-overflow.patch: fix FTBFS format-overflow Werror
      on ppc64el
  * New changes:
    - Add fixes for libxml2 (LP: #2111800):
      + d/p/Drop-xmlSetBufferAllocationScheme.patch: Drop the deprecated
        call to xmlSetBufferAllocationScheme
      + d/p/libcrmcommon-Call-correct-setup-functions.patch: Refactor
        calls to pcmk__xml_init and pcmk__xml_cleanup functions
      + d/p/Drop-pcmk__xml_cleanup.patch: Change the cleanup function
        call to others which make more sense
      + d/p/libcrmcommon-Use-more-correct-setup-teardown.patch: Refactor
        other calls to pcmk__schema_init and pcmk__schema_cleanup
      + d/p/Drop-pcmk__xml_cleanup.patch: Change the init function
        call to others which make more sense
      + d/libcrmcommon68.symbols: update symbols file
  * Dropped changes:
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
      [ Solved in d/p/fix-o3-Wformat-overflow.patch, already forwarded ]
    - d/rules: Build with -Wno-error=deprecated-declarations for libxml 2.14.x.
      [ Deprecated declarations removed by the libxml2 patches introduced in
      this merge ]
    - d/rules: Ignore test results for a first build.
      [ Tests fixed by the libxml2 patches introduced in this merge ]

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Mon, 16 Jun 2025 15:34:30 -0300

pacemaker (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Fri, 14 Mar 2025 17:41:33 +0100

pacemaker (3.0.0-1) experimental; urgency=medium

  * [a951952] New upstream release (3.0.0)
  * [b7d66b3] Drop obsolete patch, refresh the rest.
    Upstream stopped generating the PNG files from their SVG sources
    during build, so Inkscape is not run by the build system since commit
    2530b110eab3147d33ae0596d9d28bc9c9a85fbe.
  * [0ca671f] The upstream build systemd does not use Inkscape anymore
  * [f041efa] Update copyright years
  * [d7ae9ca] Pacemaker now requires libqb >= 1.0.1 for better logging
  * [c5cc0c8] Ship new component of the pacemaker Python package
  * [7c646ee] New patch: Find libcrmcommon without embedding the build path
  * [4f987ff] Upstream dropped the o2cb resource agent.
    Commit: 399df10d8a
  * [ef16c59] Upstream dropped the pacemaker_remoted symlink.
    Commit: 6468721da
  * [01db599] Upstream dropped the Pacemaker_Remote book.
    The configuration reference portion has been moved to Pacemaker
    Explained, and the walk-throughs have been moved to the ClusterLabs
    wiki (commit 803261889).
  * [a96d86f] Upstream dropped the crm_fencing documentation.
    The updated website no longer references it. Pacemaker Explained's
    fencing chapter is sufficient to replace it (commit e54eac6360).
  * [3f46d53] Upstream dropped cts-log-watcher.
    The new cts-support subcommand does the same thing (commit 0c4def783).
  * [4ba4e08] Follow SONAME changes with the names of the library packages
  * [4ebd355] Update symbols files.
    The dropped symbols do not matter because there were SONAME changes as
    well.  The version numbers of the symbols surviving from the preceding
    libraries were not reset to 3.0.0 to reduce the diff.
  * [1a161a0] Update Standards-Version to 4.7.2 (no changes required)
  * [8c5d70f] Suppress Lintian warnings until dh_sphinxdoc is fixed
  * [2ee82ef] Override false typo alert

 -- Ferenc Wágner <wferi@debian.org>  Thu, 13 Mar 2025 10:06:58 +0100

pacemaker (2.1.8-1ubuntu5) questing; urgency=medium

  * Ignore test results for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 13:24:42 +0200

pacemaker (2.1.8-1ubuntu4) questing; urgency=medium

  * Build with -Wno-error=deprecated-declarations for libxml 2.14.x.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 13:42:24 +0200

pacemaker (2.1.8-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 13:42:24 +0200

pacemaker (2.1.8-1ubuntu2) plucky; urgency=medium

  * d/p/fix-o3-Wformat-overflow.patch: fix FTBFS format-overflow Werror

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 09 Jan 2025 12:03:32 -0300

pacemaker (2.1.8-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2079939). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on
      resource-agents-base.  And also suggest resource-agents-extra with
      non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node
      name.  Previously the default node name was hardcoded in the
      config file as node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents was split into a -base and an -extra package.
    - d/control: depend on pcs and suggest crmsh
    - d/p/cts-no-build-dir.patch: allow tests to run with undefined _BUILD_DIR
      configuration
    - d/t/{control,cts}: run Pacemaker Cluster Test Suite tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 10 Sep 2024 11:42:26 -0300

pacemaker (2.1.8-1) unstable; urgency=medium

  * [b662350] New upstream release (2.1.8)
  * [2c52e81] Refresh our patches
  * [708acff] Update symbols files
  * [9652a53] Lintian 2.117.1+ knows about the t64 transition

 -- Ferenc Wágner <wferi@debian.org>  Sat, 17 Aug 2024 19:23:22 +0200

pacemaker (2.1.8~rc4-1ubuntu2) oracular; urgency=medium

  * d/p/cts-no-build-dir.patch: allow tests to run with undefined _BUILD_DIR
    configuration
  * d/t/{control,cts}: run Pacemaker Cluster Test Suite tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 20 Aug 2024 15:58:10 -0300

pacemaker (2.1.8~rc4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064437). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on
      resource-agents-base.  And also suggest resource-agents-extra with
      non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node
      name.  Previously the default node name was hardcoded in the
      config file as node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents was split into a -base and an -extra package.
    - d/control: depend on pcs and suggest crmsh
  * Dropped changes:
    - Ignore test results on armhf for now

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 12 Aug 2024 11:43:26 -0300

pacemaker (2.1.8~rc4-1) unstable; urgency=medium

  * [c6a6197] New upstream pre-release (2.1.8~rc4)
  * [1b0727c] Update symbols files

 -- Ferenc Wágner <wferi@debian.org>  Sat, 20 Jul 2024 21:19:04 +0200

pacemaker (2.1.8~rc3-1) unstable; urgency=medium

  * [13118a0] New upstream pre-release (2.1.8~rc3) (Closes: #1073592)
  * [627228b] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Sun, 07 Jul 2024 17:58:01 +0200

pacemaker (2.1.8~rc1-1) unstable; urgency=medium

  * [ab5ed61] New upstream pre-release (2.1.8~rc1)
  * [c477642] Drop upstreamed patch, refresh the rest
  * [26aa14e] Update Standards-Version to 4.7.0 (no changes required)
  * [00be940] Switch Build-Depends to systemd-dev.
    We only needed the systemd build dependency to get the paths defined
    in systemd.pc.  Now these are available in an architecture-independent
    package, which means we can stop relying on dh-exec as well.
    (Closes: #1060623)
  * [dc737d8] Ship the new pacemaker-based.7 man page
  * [f193828] Update symbols files.
    Before 2.1.8 both libpe-rules and libpe-status allocated the
    was_processing_error and was_processing_warning symbols (global
    variables).  In 2.1.8 these symbols were moved into libcrmcommon,
    which is a common dependency of libpe-rules and libpe-status.  Since
    library dependencies are automatically loaded, this does not
    constitute an ABI break.
  * [42461ae] Update copyright years
  * [bbf8d26] Specify the System V init directory.
    Autodetection in configure.ac is based on presence, but modern build
    containers can miss /etc/init.d.
  * [0d1a7f1] Explicitly enable systemd support.
    Autodetection in configure.ac depends on live DBus or systemctl, but
    modern build containers can miss those.

 -- Ferenc Wágner <wferi@debian.org>  Fri, 31 May 2024 19:22:07 +0200

pacemaker (2.1.7-1) unstable; urgency=medium

  * [09de5bf] New upstream release (2.1.7) (Closes: #1067626)
  * [ad97704] Refresh our patches
  * [e71f255] Update symbols files (all removed symbols were internal)
  * [13bce35] The cts Python directory is not installed anymore.
    Upstream migrated all of its contents into the _cts module of the
    pacemaker Python package (see commit 1fdea434).

 -- Ferenc Wágner <wferi@debian.org>  Sun, 31 Mar 2024 22:36:16 +0200

pacemaker (2.1.6-5ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:12:08 +1100

pacemaker (2.1.6-5ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2056077). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh
    - Ignore test results on armhf for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Mar 2024 09:18:27 +0100

pacemaker (2.1.6-5) unstable; urgency=medium

  * [fba0e62] Annotate the versioned dpkg-dev build dependency with time64
  * [2e0223d] New patch: Always format time_t values as long long
  * [8b575c7] pkgconf superseded pkg-config

 -- Ferenc Wágner <wferi@debian.org>  Fri, 22 Mar 2024 17:48:44 +0100

pacemaker (2.1.6-4.1ubuntu4) noble; urgency=medium

  * Ignore test results on armhf for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 15:53:54 +0100

pacemaker (2.1.6-4.1ubuntu3) noble; urgency=medium

  * Fix build on 32bit time64_t archs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 14:33:46 +0100

pacemaker (2.1.6-4.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:26:12 +0000

pacemaker (2.1.6-4.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2056077). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 08 Mar 2024 15:45:46 -0300

pacemaker (2.1.6-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063194

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:12:54 +0000

pacemaker (2.1.6-4ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:09 +0000

pacemaker (2.1.6-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040408). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 03 Jan 2024 10:59:34 -0300

pacemaker (2.1.6-4) unstable; urgency=medium

  * [223c6e7] Do not fail "arch any only" builds.
    The pacemaker-cts binary package is architecture-independent, it can't
    be fixed up when we build architecture dependent packages only.
  * Upload to unstable.

 -- Ferenc Wágner <wferi@debian.org>  Fri, 29 Sep 2023 00:30:33 +0200

pacemaker (2.1.6-3) experimental; urgency=medium

  [ Helmut Grohne ]
  * [efbad8e] Fix FTBFS when systemd.pc changes systemdsystemunitdir
    (Closes: #1052705)

  [ Ferenc Wágner ]
  * [43311e3] Ship the CTS as a new pacemaker-cts binary package.
    The previous skip was incomplete, because the files under the cts
    directory which were generated by configure were not cleaned, leading
    to rebuild issues (see #1047155).  Now that we already ship
    python3-pacemaker, the infrastructure is in place to easily ship
    another Python package for completeness.
  * [ddf07e7] New patch: cts: do not capture the build directory
  * [1b7616e] New patch: python: clean up the __pycache__ directories
    (Closes: #1047155)

 -- Ferenc Wágner <wferi@debian.org>  Thu, 28 Sep 2023 10:14:48 +0200

pacemaker (2.1.6-2) experimental; urgency=medium

  * [aaadd9b] python3-pacemaker package for the Python3 API.
    But demote the Python dependencies of the pacemaker package to
    Recommends, since only the fence_legacy and fence_watchdog agents need
    them.
  * [7f4b80e] Recover ordering of Build-Depends

 -- Ferenc Wágner <wferi@debian.org>  Sun, 24 Sep 2023 18:01:07 +0200

pacemaker (2.1.6-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2029288). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh
  * Drop changes:
    - d/p/Fix-output_and_clear_error.patch: Fix FTBFS erros due to
      glib's GError misuse.
      [Fixed in 2.1.6]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 01 Aug 2023 17:42:01 -0300

pacemaker (2.1.6-1) unstable; urgency=medium

  * [bea63bb] New upstream release (2.1.6) (Closes: #1040165)
  * [6529c27] Refresh our patches
  * [1cb1b8c] Ship the Python API documentation
  * [b17efea] Update symbols files (all removed symbols were internal)
  * [d5c6985] New patch: Remove references to the build directory
  * [3e12372] Don't ship the Python package for now.
    This temporarily breaks the fence_legacy agent, until the new
    python3-pacemaker binary package gets through the NEW queue and the
    experimental distribution with the next releases.

 -- Ferenc Wágner <wferi@debian.org>  Wed, 05 Jul 2023 12:38:47 +0200

pacemaker (2.1.5-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018096). Remaining changes:
    - d/control: make pacemaker binary recommend fence-agents-base.
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors.
    - d/control: make pacemaker-cli-utils depend on resource-agents-base
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).
    - d/control: depend on pcs and suggest crmsh.
  * Dropped changes:
    - Make crmsh the default management tool for now (LP #1862947)
      [ Replaced by pcs as the default management tool ]
  * New changes:
    - d/p/Fix-output_and_clear_error.patch: Fix FTBFS erros due to
      glib's GError misuse.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 25 May 2023 22:15:22 -0300

pacemaker (2.1.5-1) unstable; urgency=medium

  * [5792d59] Work around lazy loading of GitHub release pages in watch file
  * [52462d8] New upstream release (2.1.5)
  * [06b5497] Delete upstreamed patch, refresh the rest
  * [9829fc0] Update Standards-Version to 4.6.2 (no changes required)
  * [7768ecb] Add debian/upstream/metadata
  * [629aab5] Update debian/copyright.
    Update the years, indicate LGPL of *.po files and give up on
    enumerating all contributors.
  * [9b7d008] The SystemHealth resource agent was dropped upstream.
    See commit 8e0512e: it was non-functional anyway.
  * [c905af5] Update symbols files (all removed symbols were internal)
  * [b0a5c7b] pacemaker-cli-utils.NEWS was six years old, nothing new
  * [a255a3e] Reduce Lintian noise
  * [7a70bd7] Drop the obsolete lsb-base dependency
    sysvinit-utils_3.05-1 took over /lib/lsb/init-functions from lsb-base,
    which became an empty transitional package.  Sysvinit-utils is
    essential now, so we needn't depend on it explicitly, but if that ever
    changes (see #851747) the sysvinit-core package will still depend on
    it, providing the function library to our init scripts if they have a
    real chance to execute.  (The compatibility layer of systemd won't try
    to use the init scripts, because we provide native systemd units.)
    This change is unsuitable for bullseye backports.

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Jan 2023 16:38:34 +0100

pacemaker (2.1.4-2ubuntu2) lunar; urgency=medium

  * d/control: depend on pcs and suggest crmsh (LP: #2011481).
    Pull pcs into main instead of crmsh.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 13 Mar 2023 18:13:36 -0300

pacemaker (2.1.4-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971307). Remaining changes:
    - Make crmsh the default management tool for now (LP #1862947)
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
    - d/control: make pacemaker-cli-utils depend on resource-agents-base.
      resource-agents is now a transitional package and it should not be in
      main (it also pulls in resource-agents-extra which should be in
      universe).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 03 Aug 2022 15:53:10 -0300

pacemaker (2.1.4-2) unstable; urgency=medium

  * [e95d387] New patch: strings.c: don't rely on strcmp() returning one-byte
    values
  * [220a320] Switch to declarative dh addons to help cross building and reduce
    repetition

 -- Ferenc Wágner <wferi@debian.org>  Thu, 21 Jul 2022 23:20:11 +0200

pacemaker (2.1.4-1) unstable; urgency=medium

  * [d438568] New upstream release (2.1.4)
  * [2209cff] Drop upstreamed patch, refresh the rest
  * [e998d4f] Update symbols files (all removed symbols were internal)
  * [7bb33d2] Unit tests behave sanely now, so enable them
  * [66c4a13] Update Standards-Version to 4.6.1 (no changes required)
  * [da83f59] Switch to Debhelper compatibility level 13
  * [80f96ac] Handle not-installed files declaratively
  * [f0668c5] Ship Doxygen output explicitly and declaratively
  * [7f6b9f9] Ship init scripts straight from the build tree
  * [5d56cf9] Upstream now properly cleans up after building the documentation.
    This effectively reverts 7443ebc66e285801da9160854ff3fed0be423632,
    because upstream commit 6af89fe48a776b0c26451d780b5234ea9c586773 made
    it unnecessary.
  * [58e1598] Link against all needed libraries.
    Revert 808de7cc4952bceb71c158d6fd09157646ce11b1, because the upstream
    code reorganization ending in ca25b4e9a49e8153b4d0ac15eddcf6a45b212269
    removed the obstacle.
    https://bugs.clusterlabs.org/show_bug.cgi?id=5488
  * [6f827b3] Move crm_attribute into the pacemaker-cli-utils package.
    Mirror upstream commit 57ce5b5eb0754c19e827f1c915d9355ad0727444 (it no
    longer uses libcrmcluster).
  * [ef179c8] Recommend pacemaker-cli-utils from pacemaker-resource-agents.
    Because the ClusterMon and Stateful agents use crm_mon/crm_attribute
    respectively.
  * [c046399] New patch: Fix typos: resouce -> resource

 -- Ferenc Wágner <wferi@debian.org>  Sun, 03 Jul 2022 16:03:21 +0200

pacemaker (2.1.2-1ubuntu3) jammy; urgency=medium

  * d/control: make pacemaker-cli-utils depend on resource-agents-base.
    resource-agents is now a transitional package and it should not be in
    main (it also pulls in resource-agents-extra which should be in
    universe).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 30 Mar 2022 11:32:14 -0300

pacemaker (2.1.2-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:16:58 +0000

pacemaker (2.1.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946885). Remaining changes:
    - Make crmsh the default management tool for now (LP #1862947)
    - d/control: make pacemaker binary recommend fence-agents-base
    - d/control: make pacemaker-resource-agents depend on resource-agents-base.
      And also suggest resource-agents-extra with non-curated agents.
    - d/t/pacemaker: corosync uses uname -n to define the default node name.
      Previously the default node name was hardcoded in the config file as
      node1.
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
  * Dropped:
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
      [in 2.1.2 by upstream]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Dec 2021 15:41:12 -0300

pacemaker (2.1.2-1) unstable; urgency=medium

  * [eeac038] New upstream release (2.1.2)
  * [778f02f] Drop upstreamed patch, refresh the rest
  * [183c1cf] Ship the init scripts from the build tree
  * [370b42b] Ship the fence_watchdog agent
  * [c967f7f] Update symbols files (all removed symbols were internal)
  * [7b76a3a] Use the provided ${sphinxdoc:Built-Using}

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Nov 2021 17:50:32 +0100

pacemaker (2.1.1-2) unstable; urgency=medium

  * [3f13edc] Move python3-sphinx into Build-Depends because we always load the
    sphinxdoc dh addon

 -- Ferenc Wágner <wferi@debian.org>  Tue, 26 Oct 2021 16:06:03 +0200

pacemaker (2.1.1-1) unstable; urgency=medium

  * [50d06e9] New upstream release (2.1.1) (Closes: #997295)
  * [50e341f] Refresh our patches
  * [1762b8b] Pacemaker 2.1.0 already installs the default file itself
  * [8a161be] Pacemaker 2.1.0 generates its documentation with Sphinx
  * [5205498] Employ dh_sphinxdoc to fix up the packaged documentation
  * [8294103] autogen.sh does more than autoreconf -f -i now
  * [808de7c] We can't use the -z defs linker option anymore
  * [7ea9dcf] Pacemaker 2.1.0 dropped the obsolete and broken pingd resource
    agent
  * [7c46052] Ship /etc/default/crm_mon
  * [39e7687] Force dh_install to work with the installed files
  * [a4c3b58] Update symbols files (all removed symbols were documented
    internal)
  * [b4e5212] Upgrade Standards-Version to 4.6.0 (no changes required)
  * [62d2e6f] Follow the Pacemaker init script with the copyright file
  * [e197ba4] Untabify the copyright file
  * [d9662f6] New patch: Fix OCF_RA_PATH Autoconf variable name in pkg-config
    files

 -- Ferenc Wágner <wferi@debian.org>  Mon, 25 Oct 2021 12:29:49 +0200

pacemaker (2.0.5-2ubuntu3) impish; urgency=medium

  * d/t/pacemaker: corosync uses uname -n to define the default node name.
    Previously the default node name was hardcoded in the config file as
    node1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 23 Jun 2021 09:17:38 -0300

pacemaker (2.0.5-2ubuntu2) impish; urgency=medium

  * Adjust dependency relations with the {fence,resource}-agents packages. The
    following changes were applied in debian/control:
    - Make pacemaker binary recommend fence-agents-base.
    - Make pacemaker-resource-agents depend on resource-agents-base.
      Also suggest resource-agents-extra with non-curated agents.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 05 May 2021 17:04:36 -0300

pacemaker (2.0.5-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - Make crmsh the default management tool for now (LP #1862947)
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
    - d/rules: Fix FTBFS in ppc64el compiling with gcc10: Don't treat
      format-overflow warnings as errors
  * Dropped:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root
      [fixed in Debian]
    - Post 2.0.04 release fixes backported to Ubuntu (LP #1895883)
      debian/patches/ubuntu/lp1895883-*:
      + [055d7e4e] Low: libcib: Fix building if the gnutls library is not
      + [67174c53] Build: configure: Conditionalize check for $PYTHON.
      + [47c3e06b] Fix: libpacemaker: Don't allow a potential NULL in a format
      + [ea7469cb] Low: resources: don't check host-specific conditions in
      + [7056ae08] Fix: libcrmcommon: Set out->priv to NULL in free_priv.
      + [37791529] Fix: libcrmcommon: Make reset and finish work more similarly.
      + [b655c039] Fix: tools: Add the http-equiv header to crm_mon at the right
      + [0f8e4ca5] Fix: tools, libcrmcommon: Reopen the output dest on reset.
      + [24dd01c3] Fix: cts: Use a different grep in building the cts-cli
      + [36cf9284] Fix: cts: Use --node instead of --host as crm_resource
      + [5c111adf] Fix: libpe_status: Destroy hash table after use
      + [dc341923] cluster: Close corosync handles when they disconnect
      + [3a88b2b6] Refactor: tools: rename function in cibsecret to be more
      [applied by upstream]
    - Post 2.0.4 features: on-fail=demote & no-quorum-policy=demote
      (LP #1896223). Added debian/patches/ubuntu/lp1896223-*:
      + [c4429d86e] Log: scheduler: downgrade "active on" messages to trace
      + [01c5ec67e] Low: scheduler: match initial no-quorum-policy struct value
      + [015b5c012] Doc: Pacemaker Explained: document no-quorum-policy=demote
      + [5d809e136] Test: scheduler: add regression test
      + [b1ae35938] Feature: scheduler: support "demote" choice
      + [0b6834453] Refactor: scheduler: functionize checking quorum policy
      + [d4b9117e7] Doc: Pacemaker Explained: correct on-fail default
      + [204961e95] Doc: Pacemaker Explained: document new on-fail="demote"
      + [d29433ea5] Test: scheduler: add regression tests for on-fail="demote"
      + [874f75e0f] Feature: scheduler: new on-fail="demote" recovery policy
      + [2f1e2df1f] Feature: xml: add on-fail="demote" option to resources
      + [fd55a6660] Doc: libpacemaker: improve comments for resource state
      + [98c3b649f] Log: libpacemaker: check for re-promotes specifically
      + [ff6aebecf] Doc: libpacemaker: improve comments when logging actions
      + [f2d244bc4] Test: scheduler: test forcing a restart instead of reload
      + [a4d6a20a9] Low: libpacemaker: don't force stop when skipping reload
      + [8dceba792] Refactor: scheduler: use more appropriate types in a couple
      + [ef246ff05] Fix: scheduler: disallow on-fail=stop for stop operations
      + [f1f71b3f3] Refactor: scheduler: functionize comparing on-fail values
      [applied by upstream]
    - SECURITY UPDATE: ACL restrictions bypass
      + debian/patches/CVE-2020-25654-*.patch: restrict IPC connections.
      + CVE-2020-25654
      [applied by upstream]
    - d/{libcib27,libcrmcluster29,libcrmcommon34,libcrmservice28,
      liblrmd28,libpacemaker1,libpe-rules26,libpe-status28,libstonithd26}.symbols:
      libqb 2 dropped the linker magic injecting start/stop symbols.
      Thanks to Ferenc Wágner <wferi@debian.org>.
      [fixed in Debian]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 19 Jan 2021 17:15:50 -0300

pacemaker (2.0.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * [0e95220] Drop superfluous build dependencies
    dctrl-tools: after merging the dev packages check_header_deps was
    dropped in 2.0.1~rc2-2 (7c66cac).
    libesmtp-dev, libsnmp-dev, libsensors-dev: upstream dropped SMTP and
    SNMP support from crm_mon in Pacemaker 2 (1f73748, f24bdc6)
    (Closes: #979368)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 08 Jan 2021 19:47:14 +0100

pacemaker (2.0.5-1) unstable; urgency=medium

  * [b0f97de] New upstream release (2.0.5)
  * [a7725e6] libqb 2 dropped the linker magic injecting start/stop symbols

 -- Ferenc Wágner <wferi@debian.org>  Sat, 26 Dec 2020 18:25:28 +0100

pacemaker (2.0.5~rc3-1) unstable; urgency=medium

  * [6037de8] Add CVE-2020-25654 reference to changelog
  * [8633b12] New upstream pre-release (2.0.5~rc3)
  * [280e76f] Update Standards-Version to 4.5.1 (no changes required)
  * [fa41836] New patch: Always run Inkscape under the C.UTF-8 locale

 -- Ferenc Wágner <wferi@debian.org>  Wed, 18 Nov 2020 22:45:27 +0100

pacemaker (2.0.5~rc2-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * [0f1033e] Skip autopkgtest for unprivileged containers: (LP: #1828228)
    + d/t/control: mark pacemaker test as skippable
    + d/t/pacemaker: skip if memlock can't be set to unlimited by root

  [ Ferenc Wágner ]
  * [34f6376] pacemaker-dev should pull in libpacemaker1, too
  * [039f205] The pacemaker-dev transition completed in buster
  * [800ae5e] Clean up remnants of long finished reorganizations
  * [0f0340c] pacemaker-dev in buster replaced its old dependencies from wheezy
  * [6956006] New upstream pre-release (2.0.5~rc2) (Closes: #973254)
    Contains fix for CVE-2020-25654.
  * [6b30c82] Delete upstreamed patch, refresh the rest
  * [8e78417] Tie skipping the autopkgtest to the concrete Corosync error.
    While unlimited memory lock is a good test for privileges, it isn't
    critical for Corosync.  Trigger on a specific error message instead,
    hint at a possible workaround and document the actual requirements.
  * [f184e2c] Update symbols files.
    See 4bcf7eb for the reasoning behind the two renamed symbols which
    weren't obviously internal: crm_config_error and crm_config_warning.
  * [0031784] Pacemaker and pacemaker-remote provide Conflicting functions.
    Breaks without a version was always suspicious to Lintian, and I've got
    no strong opinion on this specific case, so be it.
  * [2a33943] Replace the now-transitional build dep with libncurses-dev
  * [8662ee0] Add missing pkg-config dependencies (Closes: #963791)
  * [912a22b] New autopkgtest for pkg-config completeness
  * [5033800] Upgrade watch file to version 4 (no changes needed)

 -- Ferenc Wágner <wferi@debian.org>  Tue, 10 Nov 2020 23:02:55 +0100

pacemaker (2.0.4-2ubuntu5) hirsute; urgency=medium

  * d/{libcib27,libcrmcluster29,libcrmcommon34,libcrmservice28,
    liblrmd28,libpacemaker1,libpe-rules26,libpe-status28,libstonithd26}.symbols:
    libqb 2 dropped the linker magic injecting start/stop symbols.
    Thanks to Ferenc Wágner <wferi@debian.org>.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 13 Jan 2021 13:39:35 -0500

pacemaker (2.0.4-2ubuntu4) hirsute; urgency=medium

  * No-change rebuild for libqb soname change. 

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jan 2021 14:36:48 +0100

pacemaker (2.0.4-2ubuntu3.1) groovy-security; urgency=medium

  * SECURITY UPDATE: ACL restrictions bypass
    - debian/patches/CVE-2020-25654-*.patch: restrict IPC connections.
    - CVE-2020-25654

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Oct 2020 08:48:48 -0400

pacemaker (2.0.4-2ubuntu3) groovy; urgency=medium

  * Post 2.0.4 features: on-fail=demote & no-quorum-policy=demote
    (LP: #1896223). Added debian/patches/ubuntu/lp1896223-*:
    - [c4429d86e] Log: scheduler: downgrade "active on" messages to trace
    - [01c5ec67e] Low: scheduler: match initial no-quorum-policy struct value
    - [015b5c012] Doc: Pacemaker Explained: document no-quorum-policy=demote
    - [5d809e136] Test: scheduler: add regression test
    - [b1ae35938] Feature: scheduler: support "demote" choice
    - [0b6834453] Refactor: scheduler: functionize checking quorum policy
    - [d4b9117e7] Doc: Pacemaker Explained: correct on-fail default
    - [204961e95] Doc: Pacemaker Explained: document new on-fail="demote"
    - [d29433ea5] Test: scheduler: add regression tests for on-fail="demote"
    - [874f75e0f] Feature: scheduler: new on-fail="demote" recovery policy
    - [2f1e2df1f] Feature: xml: add on-fail="demote" option to resources
    - [fd55a6660] Doc: libpacemaker: improve comments for resource state
    - [98c3b649f] Log: libpacemaker: check for re-promotes specifically
    - [ff6aebecf] Doc: libpacemaker: improve comments when logging actions
    - [f2d244bc4] Test: scheduler: test forcing a restart instead of reload
    - [a4d6a20a9] Low: libpacemaker: don't force stop when skipping reload
    - [8dceba792] Refactor: scheduler: use more appropriate types in a couple
    - [ef246ff05] Fix: scheduler: disallow on-fail=stop for stop operations
    - [f1f71b3f3] Refactor: scheduler: functionize comparing on-fail values

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 22 Sep 2020 17:51:03 +0000

pacemaker (2.0.4-2ubuntu2) groovy; urgency=medium

  * debian/rules: Fix FTBFS in ppc64el: gcc10 related warnings as errors
  * Post 2.0.04 release fixes backported to Ubuntu (LP: #1895883)
    debian/patches/ubuntu/lp1895883-*:
    - [055d7e4e] Low: libcib: Fix building if the gnutls library is not
    - [67174c53] Build: configure: Conditionalize check for $PYTHON.
    - [47c3e06b] Fix: libpacemaker: Don't allow a potential NULL in a format
    - [ea7469cb] Low: resources: don't check host-specific conditions in
    - [7056ae08] Fix: libcrmcommon: Set out->priv to NULL in free_priv.
    - [37791529] Fix: libcrmcommon: Make reset and finish work more similarly.
    - [b655c039] Fix: tools: Add the http-equiv header to crm_mon at the right
    - [0f8e4ca5] Fix: tools, libcrmcommon: Reopen the output dest on reset.
    - [24dd01c3] Fix: cts: Use a different grep in building the cts-cli
    - [36cf9284] Fix: cts: Use --node instead of --host as crm_resource
    - [5c111adf] Fix: libpe_status: Destroy hash table after use
    - [dc341923] cluster: Close corosync handles when they disconnect
    - [3a88b2b6] Refactor: tools: rename function in cibsecret to be more

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 17 Sep 2020 21:19:52 +0000

pacemaker (2.0.4-2ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1886546). Remaining changes:
    - Dropped: debian/patches/pacemaker_is_partof_corosync.patch:
      Disagreement among Debian and Ubuntu about service dependencies.
    - d/control: Demote fence-agents to Suggests, avoiding main inclusion.
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root
    - Make crmsh the default management tool for now (LP #1862947)
    - d/rules: Forcibly switch from ftime to clock_gettime, since building
      with ftime now results in deprecation errors
  * Dropped (from Ubuntu):
    - Post 2.0.3 release fixes backported to Ubuntu (LP #1870235)
      debian/patches/ubuntu-2.0.3-fixes/:
      - lp1870235-0a8e789f9-Fix-libpengine-Options-should-be-uint.patch
      - lp1870235-186042bcb-Ref-libcrmservice-SIGCHLD-handling.patch
      - lp1870235-28bfd00e9-Low-libcrmservice-handle-child-wait-errors.patch
      - lp1870235-426f06cc0-Fix-tools-Fix-curses_indented_printf.patch
      - lp1870235-4f5207a28-Fix-tools-Correct-crm_mon-man-page.patch
      - lp1870235-5afe84e45-Fix-libstonithd-validate-arg-non-const.patch
      - lp1870235-c98987824-Fix-iso8601-Fix-crm_time_parse_offset.patch
      - lp1870235-dec326391-Log-libcrmcommon-correct-log-line-length.patch
      - lp1870235-e35908c79-Log-libcrmservice-impr-msgs-wait-child.patch
      - lp1870235-eaaa20949-Fix-libstonithd-tools-Fix-arg-stonith-event.patch
      - lp1870235-f0fe45806-Fix-scheduler-cluster-maint-mode-true.patch
      [in Debian Pacemaker-2.0.4]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 06 Jul 2020 19:04:45 +0000

pacemaker (2.0.4-2) unstable; urgency=medium

  * [a0fdbb5] The special libqb symbols aren't present on PowerPC architectures

 -- Ferenc Wágner <wferi@debian.org>  Mon, 22 Jun 2020 18:08:57 +0200

pacemaker (2.0.4-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * [30838df] Omit pacemaker-resource-agents on Ubuntu/i386

  [ Ferenc Wágner ]
  * [bc43eed] New upstream release (2.0.4) (Closes: #959593)
  * [a4e8629] Drop upstreamed patch, refresh the rest
  * [42ee58f] Enable CIB secrets and ship the cibsecret tool
  * [13be83d] Update Standards-Version to 4.5.0 (no changes required)
  * [90d9610] New patch: libpacemaker calls into libstonithd directly
  * [61500a3] The obsolete ACL document was removed altogether.
    In upstream commit d796f1e, because it was superseded by a new chapter
    of Pacemaker Explained.
  * [dce33c1] Drop dummy packages which were already transitional in buster
  * [3f7de34] Update symbols files.
    The newly disappeared symbols weren't present in the headers shipped in
    pacemaker-dev, except for three functions in attrd.h.  However, those
    weren't documented either and the header was renamed to attrd_internal.h
    to show its internal status (see upstream commit 16c7d122e).
  * [4bbb828] Update packaging list email address
  * [7c12194] New patch: Fix typo: evalute => evaluate
  * [8d9cbd4] The bullseye toolchain defaults to linking with --as-needed

 -- Ferenc Wágner <wferi@debian.org>  Sun, 21 Jun 2020 20:32:05 +0200

pacemaker (2.0.3-3ubuntu3) focal; urgency=medium

  * Post 2.0.3 release fixes backported to Ubuntu (LP: #1870235)
    debian/patches/ubuntu-2.0.3-fixes/:
    - lp1870235-0a8e789f9-Fix-libpengine-Options-should-be-uint.patch
    - lp1870235-186042bcb-Ref-libcrmservice-SIGCHLD-handling.patch
    - lp1870235-28bfd00e9-Low-libcrmservice-handle-child-wait-errors.patch
    - lp1870235-426f06cc0-Fix-tools-Fix-curses_indented_printf.patch
    - lp1870235-4f5207a28-Fix-tools-Correct-crm_mon-man-page.patch
    - lp1870235-5afe84e45-Fix-libstonithd-validate-arg-non-const.patch
    - lp1870235-c98987824-Fix-iso8601-Fix-crm_time_parse_offset.patch
    - lp1870235-dec326391-Log-libcrmcommon-correct-log-line-length.patch
    - lp1870235-e35908c79-Log-libcrmservice-impr-msgs-wait-child.patch
    - lp1870235-eaaa20949-Fix-libstonithd-tools-Fix-arg-stonith-event.patch
    - lp1870235-f0fe45806-Fix-scheduler-cluster-maint-mode-true.patch

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 06 Apr 2020 10:48:48 -0300

pacemaker (2.0.3-3ubuntu2) focal; urgency=medium

  * Forcibly switch from ftime to clock_gettime, since building with ftime now
    results in deprecation errors

 -- William Grant <wgrant@ubuntu.com>  Sat, 04 Apr 2020 19:15:34 +1100

pacemaker (2.0.3-3ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1864116). Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP: 1828228)
      - d/t/control: mark pacemaker test as skippable
      - d/t/pacemaker: skip if memlock can't be set to unlimited by root
    - Make crmsh the default management tool for now (LP #1862947)
    - Fix: Last attempt i386 binary packages removal was wrong (-Nlibkate)
    - Ubuntu i386 binary compatibility only effort: (LP #1863437)
      - i386 binary package removal:
        - pacemaker
        - pacemaker-cli-utils
        - pacemaker-remote
        - pacemaker-resource-agents
  * Dropped (from Debian):
    - debian/patches/pacemaker_is_partof_corosync.patch
      [fixed in corosync debian/2.4.2-3+deb9u1_bpo8+1]
    - Omit pacemaker, pacemaker-cli-utils, pacemaker-remote binary
      packages on i386.
      [merged in debian/2.0.3-3]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 21 Feb 2020 01:18:12 +0000

pacemaker (2.0.3-3) unstable; urgency=medium

  * [543574f] Omit pacemaker{, -cli-utils, -remote} on Ubuntu/i386
    (Closes: #948379)
  * [327889e] Reenable dwz, it already works with the magic sections from libqb

 -- Ferenc Wágner <wferi@debian.org>  Sun, 12 Jan 2020 13:08:03 +0100

pacemaker (2.0.3-2) unstable; urgency=medium

  * [2b80438] Special libqb symbols not present on Power architectures
  * [99905eb] New patch: Avoid clashes with glibc error codes on HPPA
  * [b3928b4] Add -dev package dependencies
  * [712627c] Suppress stderr output of autopkgtest instead of ignoring it
  * [8f47294] Generate an autopkgtest artifact
  * [1e66b70] Run Salsa CI reprotest with diffoscope
  * [4560320] Recognize the autopkgtest artifacts in Salsa CI

 -- Ferenc Wágner <wferi@debian.org>  Wed, 08 Jan 2020 20:02:12 +0100

pacemaker (2.0.3-1) unstable; urgency=medium

  * [20ccd21] Shorten and explain the autopkgtest wait
  * [d2eb58b] Ship /var/log/pacemaker, the new default directory of the detail
    logs.
    Without this directory the default configuration emits errors and the
    detail log is not written.  The old /var/log/pacemaker.log* detail log
    files are not moved automatically on upgrade, but the /var/log/pacemaker
    directory is removed when purging pacemaker-common.
  * [6d373b3] Drop a patch: libtransitioner does not use liblrmd since 092281b
  * [5b8f4bf] New upstream pre-release (2.0.2~rc1)
  * [ab9d200] Remove obsolete patch, refresh the rest
  * [21ab824] Update changelog for 2.0.2~rc1-1 release
  * [3cc6291] New patch: libpacemaker directly uses libcrmcommon
  * [edc559c] The doxygen target moved into the doc subdirectory (5c77ae3)
  * [d9c423f] libpengine and libtransitioner merged into libpacemaker
  * [d361d67] pacemaker-dev is our single umbrella dev package
  * [a407d6e] Some agents use top, so Depend on procps
  * [7cb9d3a] Ship the new HealthIOWait resource agent
  * [313cb68] Ship the new crm_rule utility
  * [72dc571] New upstream release (2.0.2)
  * [2a58663] libpengine and libtransitioner merged into libpacemaker
  * [1198ccb] Update symbols files (all removed symbols were internal)
  * [dec7dcf] New patch: Don't reference the build path in the documentation
  * [de1a3f1] Update Standards-Version to 4.4.1 (no changes required)
  * [1dc4e5a] Advertise Rules-Requires-Root: no
  * [075b6a5] New upstream release (2.0.3)
  * [5fad681] Remove included patches, refresh the rest
  * [84788f8] Ship the new arch-independent pacemaker-schemas.pc
  * [c8bcad3] Update symbols files
  * [38cb849] Fix formatting of long license text
  * [fa95063] acls.txt was retired, the short placeholder text is not compressed
  * [b7a160d] Enroll to basic Salsa CI

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Dec 2019 21:08:01 +0100

pacemaker (2.0.1-5ubuntu5) focal; urgency=medium

  * Fix: Last attempt i386 binary packages removal was wrong (-Nlibkate)
  * Ubuntu i386 binary compatibility only effort: (LP: #1863437)
    - i386 binary package removal:
      - pacemaker
      - pacemaker-cli-utils
      - pacemaker-remote
      - pacemaker-resource-agents

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sat, 15 Feb 2020 18:52:20 +0000

pacemaker (2.0.1-5ubuntu4) focal; urgency=medium

  * d/control: Make crmsh the default management tool for now (LP: #1862947)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 12 Feb 2020 14:36:27 +0000

pacemaker (2.0.1-5ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:15:04 +0100

pacemaker (2.0.1-5ubuntu2) focal; urgency=medium

  * Omit pacemaker, pacemaker-cli-utils, pacemaker-remote binary packages on
    i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Jan 2020 15:41:07 -0800

pacemaker (2.0.1-5ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/pacemaker_is_partof_corosync.patch: Default systemd
      unit hard-requires corosync.
      + Debian disagrees in Debian bug 887563 message 36. We could revert back
        to Debian's behaviour, but keeping the patch in this merge maintains
        existing behaviour for Ubuntu users pending any separate future
        decision.
    - d/control: Demote fence-agents to Suggests, avoiding main
      inclusion.
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark pacemaker  test as skippable
      + d/t/pacemaker: skip if memlock can't be set to unlimited by root

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 04 Nov 2019 17:31:07 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcrmcommon68`.
